package com.keyware.sonar.cxx.rules.checkers;

import com.keyware.sonar.cxx.CxxFileTesterHelper;
import org.junit.jupiter.api.Test;
import org.sonar.cxx.CxxAstScanner;
import org.sonar.cxx.squidbridge.api.SourceFile;
import org.sonar.cxx.squidbridge.checks.CheckMessagesVerifier;

import java.io.IOException;

public class VerificationPathCheckerTest {
    @Test
    public void checkTest() throws IOException {
        var checker = new VerificationPathChecker();
        var tester = CxxFileTesterHelper.create("VerificationPathChecker.cc");
        SourceFile file = CxxAstScanner.scanSingleInputFile(tester.asInputFile(), checker);
        CheckMessagesVerifier.verify(file.getCheckMessages())
                .next().atLine(18).withMessage("在构建路径名前对数据进行校验")
                .noMore();
    }
}
